org.eclnt.jsfserver.elements.componentnodes

## Class ROWSTATUSBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWSTATUSBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWSTATUSBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWSTATUSBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWSTATUSBARNode` | `bindActionListener(IActionListenerDelegation value)`
    `ROWSTATUSBARNode` | `bindBackground(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindBorder(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindFont(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindForeground(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindHeight(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindImage(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindPadding(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindPopupimage(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindRounding(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindShadow(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindSound(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `bindText(IDynamicContentBindingObject value)`
    `ROWSTATUSBARNode` | `setActionListener(java.lang.String value)`
    `ROWSTATUSBARNode` | `setAttributemacro(java.lang.String value)`
    `ROWSTATUSBARNode` | `setBackground(java.lang.String value)`
    `ROWSTATUSBARNode` | `setBgpaint(java.lang.String value)`
    `ROWSTATUSBARNode` | `setBorder(java.lang.String value)`
    `ROWSTATUSBARNode` | `setComment(java.lang.String value)`
    `ROWSTATUSBARNode` | `setConfiginfo(java.lang.String value)`
    `ROWSTATUSBARNode` | `setFont(java.lang.String value)`
    `ROWSTATUSBARNode` | `setForeground(java.lang.String value)`
    `ROWSTATUSBARNode` | `setFxstyleseq(java.lang.String value)`
    `ROWSTATUSBARNode` | `setHeight(int value)`
    `ROWSTATUSBARNode` | `setHeight(java.lang.String value)`
    `ROWSTATUSBARNode` | `setId(java.lang.String value)`
    `ROWSTATUSBARNode` | `setImage(java.lang.String value)`
    `ROWSTATUSBARNode` | `setObjectbinding(java.lang.String value)`
    `ROWSTATUSBARNode` | `setPadding(java.lang.String value)`
    `ROWSTATUSBARNode` | `setPopupimage(java.lang.String value)`
    `ROWSTATUSBARNode` | `setPopupmenu(java.lang.String value)`
    `ROWSTATUSBARNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ROWSTATUSBARNode` | `setReference(java.lang.String value)`
    `ROWSTATUSBARNode` | `setRendered(boolean value)`
    `ROWSTATUSBARNode` | `setRendered(java.lang.String value)`
    `ROWSTATUSBARNode` | `setRounding(int value)`
    `ROWSTATUSBARNode` | `setRounding(java.lang.String value)`
    `ROWSTATUSBARNode` | `setShadow(java.lang.String value)`
    `ROWSTATUSBARNode` | `setSound(java.lang.String value)`
    `ROWSTATUSBARNode` | `setStyleseq(java.lang.String value)`
    `ROWSTATUSBARNode` | `setStylevariant(java.lang.String value)`
    `ROWSTATUSBARNode` | `setText(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWSTATUSBARNode

          public ROWSTATUSBARNode()

  - ### Method Detail

    - #### setId

          public ROWSTATUSBARNode setId(java.lang.String value)

    - #### setActionListener

          public ROWSTATUSBARNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ROWSTATUSBARNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public ROWSTATUSBARNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ROWSTATUSBARNode setBackground(java.lang.String value)

    - #### bindBackground

          public ROWSTATUSBARNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ROWSTATUSBARNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ROWSTATUSBARNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public ROWSTATUSBARNode setBorder(java.lang.String value)

    - #### bindBorder

          public ROWSTATUSBARNode bindBorder(IDynamicContentBindingObject value)

    - #### setComment

          public ROWSTATUSBARNode setComment(java.lang.String value)

    - #### bindComment

          public ROWSTATUSBARNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWSTATUSBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWSTATUSBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFont

          public ROWSTATUSBARNode setFont(java.lang.String value)

    - #### bindFont

          public ROWSTATUSBARNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public ROWSTATUSBARNode setForeground(java.lang.String value)

    - #### bindForeground

          public ROWSTATUSBARNode bindForeground(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public ROWSTATUSBARNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public ROWSTATUSBARNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWSTATUSBARNode setHeight(java.lang.String value)

    - #### bindHeight

          public ROWSTATUSBARNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWSTATUSBARNode setHeight(int value)

    - #### setImage

          public ROWSTATUSBARNode setImage(java.lang.String value)

    - #### bindImage

          public ROWSTATUSBARNode bindImage(IDynamicContentBindingObject value)

    - #### setObjectbinding

          public ROWSTATUSBARNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public ROWSTATUSBARNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setPadding

          public ROWSTATUSBARNode setPadding(java.lang.String value)

    - #### bindPadding

          public ROWSTATUSBARNode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupimage

          public ROWSTATUSBARNode setPopupimage(java.lang.String value)

    - #### bindPopupimage

          public ROWSTATUSBARNode bindPopupimage(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ROWSTATUSBARNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ROWSTATUSBARNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ROWSTATUSBARNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ROWSTATUSBARNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ROWSTATUSBARNode setReference(java.lang.String value)

    - #### setRendered

          public ROWSTATUSBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWSTATUSBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWSTATUSBARNode setRendered(boolean value)

    - #### setRounding

          public ROWSTATUSBARNode setRounding(java.lang.String value)

    - #### bindRounding

          public ROWSTATUSBARNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ROWSTATUSBARNode setRounding(int value)

    - #### setShadow

          public ROWSTATUSBARNode setShadow(java.lang.String value)

    - #### bindShadow

          public ROWSTATUSBARNode bindShadow(IDynamicContentBindingObject value)

    - #### setSound

          public ROWSTATUSBARNode setSound(java.lang.String value)

    - #### bindSound

          public ROWSTATUSBARNode bindSound(IDynamicContentBindingObject value)

    - #### setStyleseq

          public ROWSTATUSBARNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ROWSTATUSBARNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ROWSTATUSBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWSTATUSBARNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public ROWSTATUSBARNode setText(java.lang.String value)

    - #### bindText

          public ROWSTATUSBARNode bindText(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.